Subject: Re: [PATCH, take2] netfilter : struct xt_table_info diet

From: Patrick McHardy <[email-masked]>
Date: Tue, 20 Nov 2007 08:54:56 +0100

Simon Horman wrote:
> From: Eric Dumazet <[email-masked]>
>
> Instead of using a big array of NR_CPUS entries, we can compute the size
> needed at runtime, using nr_cpu_ids
>
> This should save some ram (especially on David's machines where NR_CPUS=4096 :
> 32 KB can be saved per table, and 64KB for dynamically allocated ones (because
> of slab/slub alignements) )
>
> In particular, the 'bootstrap' tables are not any more static (in data
> section) but on stack as their size is now very small.
>
> This also should reduce the size used on stack in compat functions
> (get_info() declares an automatic variable, that could be bigger than kernel
> stack size for big NR_CPUS)

This seems to be identical to the patch I already got queued
apart from reintroducing the NR_CPUS check. Am I missing
something?